# Mobile data enabled

A decision block that checks if mobile data is enabled.

If the proceed option is set to Immediately, then check if mobile data is currently enabled without pausing the fiber. If set to When changed, then the fiber will pause until mobile data has been enabled or was disabled.

Note! This feature isn’t officially supported until Android 8, may not work on lower versions.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Subscription id — id of subscription (SIM) to check, default is the system default data subscription.